[rspec-users] rake cucumber gives "database configuration does not specify adapter" error

Dean Richardson lists at ruby-forum.com
Sat Nov 13 15:36:52 EST 2010


I'm still working on getting the basic Rails 2 configuration for RSpec
and Cucumber from the RSpec book up and running.

I've installed the various gems as follows:

$ [sudo] gem install rspec-rails --version 1.3.3
$ [sudo] gem install cucumber-rails --version 0.3.2
$ [sudo] gem install database_cleaner --version 0.5.0
$ [sudo] gem install webrat --version 0.7.1

I'm running Rails 2.3.5 rather than 2.3.10. I didn't install Selenium
yet.

I've had problems getting RSpec to see my installation of
sqlite3/sqlite3-ruby, so I'm currently going with MySQL for development
*AND* test databases.

$ rake spec

is currently generating the error message "rspec can not be found in
vendor/gems, vendor/plugins or system gems" but entering

$ spec spec/

works fine so far, though I don't have any examples to run yet.

My main concern at the moment is getting Cucumber to run. When I enter

$ rake cucumber

I get the error message

bundle exec
/System/Library/Frameworks/Ruby.framework/Versions/1.8/usr/bin/ruby -I
"/Library/Ruby/Gems/1.8/gems/cucumber-0.8.5/lib:lib"
"/Library/Ruby/Gems/1.8/gems/cucumber-0.8.5/bin/cucumber"  --profile
default
Using the default profile...
database configuration does not specify adapter
(ActiveRecord::AdapterNotSpecified)

...

followed by

rake aborted!
Command failed with status (1): [bundle exec
/System/Library/Frameworks/Rub...]

Any suggestions on what I should try next?

Thanks!

Dean Richardson

-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list